INCL = ../../../source
LIBS = ../../../source
EXE = wctrl
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/srvcore.h \
	${INCL}/errors.h \
	${INCL}/tinetype.h \
	${INCL}/tinedefs.h \
	${INCL}/swaplib.h \
	${INCL}/dbtools.h \
	${INCL}/almlib.h 

CC = clang -m64 -fPIC -w -c -DWCTRL -g -I. -I${INCL}
CCL = clang -m64 -fPIC -w -g
LM = -lm -lpthread 

${EXE}: wctrl.o utilities.o
	${CCL} -o ${EXE} wctrl.o utilities.o ${LIBS}/libtinemt.a ${LM}
	chmod a+x ${EXE}

utilities.o: utilities.c ${HDRS}
	${CC} utilities.c

wctrl.o: wctrl.c ${HDRS}
	${CC} wctrl.c

clean:
	rm -f wctrl.o
	rm -f utilities.o
