#!/usr/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

#################################
# GLOBAL VARIABLES
#
global Fecname; 
global Hostname; 
global PortOffset; 
global ProjDir; 
global Responsible; 
global WorkDir; 
global dbdir; 
global envdata; 
global envvalue; 
global widget; 

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {
bell;
}

init $argc $argv


proc {genfile} {} {
# Generate fecid.csv file
global Srvname     # export
global Fecname
global Hostname
global Context
global Responsible
global Location
global Hardware
global Description
global PortOffset
global ProjDir
global errorCode
global datalist
global WorkDir
variable outstr
variable instr x
variable fd res fend
variable tmplist i k
variable Srvnameid Fecnameid Contextid Hardwareid


set instr "";
set outstr "Fec_Name,Context,Export,Port_Offset,Description,Location,Hardware,Responsible";

set errorCode 0;
puts "Open file $ProjDir fecid.csv";
#catch { [open "fecid.csv" "r+"] };
catch { set fd [open "fecid.csv" "r+"] };
if {$errorCode != "0"} {
#    close $fd;
    puts "Error opening file fecid.csv, creating ...";
    set fd [open  "fecid.csv" "w+"];
    set errorCode 0;
    catch { puts $fd $outstr };
     if {$errorCode != "0" } {
        close $fd; puts "Error writing fecid.csv"; return -1;
    }
 };    
seek $fd 0 start;    
set instr [gets $fd];
if { [string compare $instr $outstr] != 0 } {
    close $fd;
    set fd [open  "fecid.csv" "w+"];
    set errorCode 0;
    catch { puts $fd $outstr };
     if {$errorCode != "0" } {
        close $fd; puts "Error writing fecid.csv"; return -1;
    }

}

set tmplist "";
set Fecnameid "0";
set Contextid "1";
set Srvnameid "2";
set Hardwareid "6";
set outstr "";
seek $fd 0 end;
set fend [tell $fd];
seek $fd 0 start;
append outstr $Fecname "," $Context "," $Srvname "," $PortOffset "," $Description "," $Location "," $Hardware "," $Responsible ;
set res [eof $fd];
#puts "\nResult:\n$outstr";
while {$res==0} {
    set instr [gets $fd];
#    puts "$instr";
    set tmplist {};
    set tmplist [split $instr ","];
    if { [llength $tmplist] > 0 } { 
    set i 0;
    set k 0;
    set x "";
    foreach x $tmplist {
#    puts "Data $x";
        if { $i == $Fecnameid } {if {[string first $Hostname [string trim $x]] > -1} {puts "Found $Hostname"; set k [expr $k + 1]}}  elseif { $i == $Contextid } {if {[string first $Context [string trim $x]] > -1 } {puts "Found $Context"; set k [expr $k + 1]}}  elseif { $i == $Srvnameid } {if {[string first $Srvname [string trim $x]] > -1} {puts "Found $Srvname"; set k [expr $k + 1]}}  elseif { $i == $Hardwareid } {if {[string first $Hardware [string trim $x]] > -1} {
#        puts "Found $Hardware"; 
        set k [expr $k + 1]}};
        incr i;
    }
    puts "List $tmplist"
    puts "List length [llength $tmplist] Compared $k"
    if { $k ==4 } {
        close $fd;
#        puts "Found the same data - exit";
        return -1;
    }
    }

    if { [string compare $instr $outstr] == 0 } {
        close $fd;
#        puts "Found the same string - exit";
        return -1;
    }
    
    
    set res [eof $fd]; 
    if { $res != 0} { if { [tell $fd] < $fend } { set res 0; }}
#    puts "EOF $res";
}

seek $fd 0 end;

#puts "Open file fecid.csv"
#set fd [open "fecid.csv" "a+"];
set errorCode 0;
catch { puts $fd $outstr }
if {$errorCode != "0" } {
        close $fd; puts "Error writing fecid.csv"; return -1;
    }
close $fd;
puts "File closed";
}

proc {getenv} {} {
variable envdata
global array env
global Responsible
global Fecname
global Hostname
global Context
global ProjDir
variable envvalue

set envdata "";
set envvalue "";
set ProjDir "";
set Fecname "";
set Responsible "";

foreach id [array names env] {
#  set envdata "$id: $env($id)"
#  .top17.cpd21.01 insert end $envdata;
#  puts $envdata;
  switch $id  "USER"  { set Responsible $env($id);  .top17.fra36.ent46 delete 0 end;
     .top17.fra36.ent46 insert 0 $Responsible;  } "HOSTNAME" { append Fecname $env($id) "."; .top17.fra34.ent44 delete 0 end;
        .top17.fra34.ent44 insert 0 $Fecname ;} "HOME" { append ProjDir $env($id) "/"; } 

 }    ;# foreach


.top17.fra37.ent47 delete 0 end;
.top17.fra39.ent49 delete 0 end;
.top17.fra38.ent48 delete 0 end;
.top17.fra37.ent47 insert 0 "$Responsible's office";
.top17.fra39.ent49 insert 0 "$Responsible's test fec";
.top17.fra38.ent48 insert 0 "none";
set PortOffset "0";
set Hostname $Fecname;
getfile
}

proc {getfile} {} {
# Read fecid.csv file
# puts "ErrorCode: $errorCode"
#puts "ERRORINFO:\n$errorInfo\n"

global Srvname 
global Fecname
global Context
global Responsible
global Location
global Hardware
global Description
global PortOffset
global NEntries
global ProjDir
global errorCode
variable instr
variable fd
variable dbdir
global datalist;


set varlist "";
set instr "";
set NEntries 0;
set PortOffset "0";
set dbdir "";
# [ concat "Fec_Name,Context,Export,PortOffset, Description, Location,Hardware,Responsible\n\r"  "$Fecname, $Context, $Srvname, $PortOffset, $Description,  $Location, $Hardware, $Responsible\r"] ;
set errorCode 0
puts "Open file fecid.csv"
# Check if the dir Database exist
set dbdir [append ProjDir "Database/"];
puts "Project dir $dbdir"
set errorCode "0";
catch {cd $dbdir};
if {$errorCode != "0" } {
       exec  mkdir $dbdir; 
    
  }
  set errorCode "0";
catch {cd $dbdir};
if {$errorCode != "0" } {
     tk_messageBox -message "Couldn't create Database directory. Exit ..." -type ok -icon error ;
     exit;       
  }
  cd $dbdir;

set errorCode "0";
catch { set fd [open "fecid.csv" "r+"] };
if {$errorCode != "0"} {
#    close $fd;
    puts "Error opening file fecid.csv, creating ...";
    set fd [open  "fecid.csv" "w+"];
    set errorCode 0;
    catch { puts $fd "Fec_Name,Context,Export,PortOffset,Description,Location,Hardware,Responsible\r" };
     if {$errorCode != "0" } {
        close $fd; puts "Error writing fecid.csv"; return;
    }
 };    

while { [eof $fd] == 0 } {
  set instr [gets $fd];
  lappend varlist $instr;
  if { [string first $Fecname $instr] > -1 } { set NEntries [expr $NEntries + 1]; } 
}
close $fd;
puts "File closed, entries $NEntries";
#if { $NEntries > 0 } { set NEntries [expr $NEntries - 1]; }
append Fecname $NEntries;
set PortOffset $NEntries;
.top17.fra34.ent44 delete 0 end;
.top17.fra34.ent44 insert 0 $Fecname;
}

proc {startf} {} {
global Srvname Fecname Context Responsible
global Location Hardware Description PortOffset
global WorkDir
variable intv
variable intv1
variable envdata result

global array env

set intv 0;
set intv1 0;
set envdata "";


.top17.cpd21.01 delete 0 end;

foreach id [array names env] {
  set envdata "$id: $env($id)"
  .top17.cpd21.01 insert 0 $envdata;
#  puts $envdata;
  }

#set PortOffset "0";
set Srvname [string trim [.top17.fra27.ent43 get]];
set Fecname [string trim [.top17.fra34.ent44 get ]];
set Context [string trim [.top17.fra35.ent45 get ]];
set Responsible [string trim [.top17.fra36.ent46 get ]];
set Location [string trim [.top17.fra37.ent47 get ]];
set  Hardware [string trim [.top17.fra38.ent48 get ]];
set  Description [string trim [.top17.fra39.ent49 get ]];
#scan $Description "%d" intv;
puts "$Srvname $Fecname $Context $Responsible $Location $Hardware $Description";
#puts "\n$intv";
#bell;
set result [genfile];

cd $WorkDir;
bell;
exit
}

proc {main} {argc argv} {
global Srvname
global Fecname
global Context
global Responsible
global Location
global Hardware
global Description
global PortOffset
global NEntries
global ProjDir
global datalist
global Hostname
global WorkDir

variable envdata
variable envvalue
global array env

set envdata "";
set envvalue "";
set WorkDir [pwd];

.top17.fra34.ent44 insert 0 "localhost";
.top17.fra35.ent45 insert 0 "TEST";
.top17.fra36.ent46 insert 0 "User";
.top17.fra37.ent47 insert 0 "User's office";
.top17.fra38.ent48 insert 0 "none";
.top17.fra39.ent49 insert 0 "user's test fec";

getenv;
}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 719
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel \
        -background #dcdcdc -highlightbackground #dcdcdc \
        -highlightcolor #000000 -menu .top17.m17 
    wm focusmodel $base passive
    wm geometry $base 528x219+193+298
    wm maxsize $base 1009 719
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 0 0
    wm deiconify $base
    wm title $base "FEC Setup Wizard"
    button $base.but18 \
        -activebackground #dcdcdc -activeforeground #000000 \
        -background #dcdcdc -command startf -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -text OK 
    label $base.lab19 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text {Exported Device Server Name} 
    label $base.lab20 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text {Fec Name} 
    label $base.lab21 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text Context 
    label $base.lab22 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text Responsible 
    label $base.lab23 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text Location 
    label $base.lab24 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text Hardware 
    label $base.lab25 \
        -background #dcdcdc -borderwidth 0 -foreground #000000 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -text Description 
    frame $base.fra27 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra27.ent43 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra34 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra34.ent44 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra35 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra35.ent45 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra36 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra36.ent46 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra37 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra37.ent47 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra38 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra38.ent48 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.fra39 \
        -background #dcdcdc -borderwidth 2 -height 75 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief groove \
        -width 125 
    entry $base.fra39.ent49 \
        -background #dcdcdc -foreground #000000 -highlightbackground #ffffff \
        -highlightcolor #000000 -selectbackground #547098 \
        -selectforeground #ffffff 
    frame $base.cpd21 \
        -background #dcdcdc -borderwidth 1 -height 30 \
        -highlightbackground #dcdcdc -highlightcolor #000000 -relief raised \
        -width 30 
    listbox $base.cpd21.01 \
        -background #dcdcdc \
        -font -Adobe-Helvetica-Medium-R-Normal-*-*-120-*-*-*-*-*-* \
        -foreground #000000 -highlightbackground #ffffff \
        -selectforeground #ffffff -xscrollcommand {.top17.cpd21.02 set} \
        -yscrollcommand {.top17.cpd21.03 set} 
    scrollbar $base.cpd21.02 \
        -activebackground #dcdcdc -background #dcdcdc -borderwidth 1 \
        -command {.top17.cpd21.01 xview} -cursor left_ptr \
        -highlightbackground #dcdcdc -highlightcolor #000000 \
        -orient horizontal -troughcolor #dcdcdc -width 10 
    scrollbar $base.cpd21.03 \
        -activebackground #dcdcdc -background #dcdcdc -borderwidth 1 \
        -command {.top17.cpd21.01 yview} -cursor left_ptr \
        -highlightbackground #dcdcdc -highlightcolor #000000 \
        -troughcolor #dcdcdc -width 10 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.but18 \
        -x 420 -y 170 -width 54 -height 38 -anchor nw -bordermode ignore 
    place $base.lab19 \
        -x 10 -y 20 -anchor nw -bordermode ignore 
    place $base.lab20 \
        -x 200 -y 20 -anchor nw -bordermode ignore 
    place $base.lab21 \
        -x 365 -y 20 -anchor nw -bordermode ignore 
    place $base.lab22 \
        -x 10 -y 85 -anchor nw -bordermode ignore 
    place $base.lab23 \
        -x 200 -y 85 -anchor nw -bordermode ignore 
    place $base.lab24 \
        -x 365 -y 85 -anchor nw -bordermode ignore 
    place $base.lab25 \
        -x 10 -y 150 -anchor nw -bordermode ignore 
    place $base.fra27 \
        -x 10 -y 40 -width 190 -height 35 -anchor nw -bordermode ignore 
    place $base.fra27.ent43 \
        -x 5 -y 5 -width 178 -height 22 -anchor nw -bordermode ignore 
    place $base.fra34 \
        -x 200 -y 40 -width 160 -height 35 -anchor nw -bordermode ignore 
    place $base.fra34.ent44 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.fra35 \
        -x 365 -y 40 -width 160 -height 35 -anchor nw -bordermode ignore 
    place $base.fra35.ent45 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.fra36 \
        -x 10 -y 105 -width 190 -height 35 -anchor nw -bordermode ignore 
    place $base.fra36.ent46 \
        -x 5 -y 5 -width 178 -height 22 -anchor nw -bordermode ignore 
    place $base.fra37 \
        -x 200 -y 105 -width 160 -height 35 -anchor nw -bordermode ignore 
    place $base.fra37.ent47 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.fra38 \
        -x 365 -y 105 -width 160 -height 35 -anchor nw -bordermode ignore 
    place $base.fra38.ent48 \
        -x 5 -y 5 -anchor nw -bordermode ignore 
    place $base.fra39 \
        -x 10 -y 170 -width 350 -height 40 -anchor nw -bordermode ignore 
    place $base.fra39.ent49 \
        -x 5 -y 10 -width 333 -height 22 -anchor nw -bordermode ignore 
    place $base.cpd21 \
        -x 10 -y 225 -width 500 -height 195 -anchor nw -bordermode ignore 
    grid columnconf $base.cpd21 0 -weight 1
    grid rowconf $base.cpd21 0 -weight 1
    grid $base.cpd21.01 \
        -in .top17.cpd21 -column 0 -row 0 -columnspan 1 -rowspan 1 \
        -sticky nesw 
    grid $base.cpd21.02 \
        -in .top17.cpd21 -column 0 -row 1 -columnspan 1 -rowspan 1 -sticky ew 
    grid $base.cpd21.03 \
        -in .top17.cpd21 -column 1 -row 0 -columnspan 1 -rowspan 1 -sticky ns 
}

Window show .
Window show .top17

main $argc $argv
