# Makefile for tine client utilities
# Insert the proper lib and include locations for your installation

INCL = /usr/include/tine
INCLP = /usr/include/python3.4
LIBS = /usr/lib

CPP = g++ -fPIC -shared 
CC = clang -m64 -fPIC -w -I${INCL} -I${INCLP} -c
CCL = clang -m64 -fPIC -w -shared -dynamiclib -flat_namespace -undefined suppress
LM = -lm

PyTine.dylib: pytine.o
	${CCL} -o $@ pytine.o -ltine -ltbufsrv

pytine.o: pytine.cpp 
	${CC} pytine.cpp 

clean:
	rm -f *.o
